import { ChangeDetectorRef, EventEmitter, OnInit } from "@angular/core";
import { CmsPageDto } from "@smallstack/axios-api-client";
import { CmsPagesStore } from "../../../store/cms-pages.store";
import * as i0 from "@angular/core";
export declare class BlogPostOverviewComponent implements OnInit {
    private cmsPageStore;
    private cdr;
    /**
     * Search blog posts by tags
     */
    tags: string[];
    /**
     * Normally, all tags will be displayed. If you want to exclude any, you can pass an array with exclusions.
     */
    excludeDisplayedTags: string[];
    /**
     * Triggered when a user clicks on "read more"
     */
    openBlogPost: EventEmitter<CmsPageDto>;
    blogPosts$: import("rxjs").Observable<CmsPageDto[]>;
    constructor(cmsPageStore: CmsPagesStore, cdr: ChangeDetectorRef);
    ngOnInit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BlogPostOverviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BlogPostOverviewComponent, "smallstack-blog-post-overview", never, { "tags": { "alias": "tags"; "required": false; }; "excludeDisplayedTags": { "alias": "excludeDisplayedTags"; "required": false; }; }, { "openBlogPost": "openBlogPost"; }, never, never, false, never>;
}
