import { EventEmitter, OnDestroy, QueryList, TemplateRef } from "@angular/core";
import { InlineTranslation } from "@smallstack/i18n-shared";
import * as i0 from "@angular/core";
export interface Tab {
    title: InlineTranslation | string;
}
export declare class TabsComponent implements OnDestroy {
    #private;
    tabs: Tab[];
    selectedTab: number;
    readonly selectedTabChange: EventEmitter<number>;
    protected tabContentQuery: QueryList<TemplateRef<any>>;
    protected get tabContents(): TemplateRef<any>[];
    ngOnDestroy(): void;
    selectTab(index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "smallstack-tabs", never, { "tabs": { "alias": "tabs"; "required": false; }; "selectedTab": { "alias": "selectedTab"; "required": false; }; }, { "selectedTabChange": "selectedTabChange"; }, ["tabContentQuery"], never, true, never>;
}
