import { BaseWidgetComponent } from "@smallstack/widget-core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
interface Badge {
    label: string;
    color?: string;
    group?: string;
}
export declare class BadgeListWidgetComponent extends BaseWidgetComponent {
    protected availableBadges$: Observable<any>;
    protected badges$: Observable<Badge[]>;
    protected addBadge(badge: string): Promise<void>;
    protected removeBadge(badge: string): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BadgeListWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BadgeListWidgetComponent, "smallstack-badge-list-widget", never, {}, {}, never, never, true, never>;
}
export {};
