import { WidgetDto } from "@smallstack/axios-api-client";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class ContainerWidgetComponent extends BaseWidgetComponent {
    containerDisplay: string;
    static getConfiguration(): SmallstackTypeSchema;
    get classes(): string;
    get style(): CSSStyleDeclaration;
    addWidget(widget: WidgetDto): void;
    childDataChanged(index: number, cmsComponent: WidgetDto): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContainerWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContainerWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
